This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 539606 - Review Request: rubygem-marc - Ruby library for MARC catalog
Review Request: rubygem-marc - Ruby library for MARC catalog
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 12:27 EST by Mamoru TASAKA
Modified: 2009-11-24 11:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 11:25:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mkent: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-11-20 12:27:50 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-marc/rubygem-marc.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-marc/rubygem-marc-0.3.0-1.fc.src.rpm
Description: 
marc is a ruby library for reading and writing MAchine Readable Cataloging
(MARC). More information about MARC can be found at <http://www.loc.gov/marc>.

Koji scratch build
For F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=1819759
For F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1819760

Note that this srpm creates ruby-marc subpackage, which will
replace ruby-marc rpm which is already available on Fedora:
https://admin.fedoraproject.org/pkgdb/packages/name/ruby-marc
Comment 1 Matthew Kent 2009-11-21 16:22:51 EST
(First time reviewing)

Initial notes for 0.3.0-1:

* %prep:
  - Looks like gem is creating a .gem directory outside the BuildRoot. From the build.log:

+ gem install --local --install-dir ./usr/lib/ruby/gems/1.8 --force --rdoc -V /builddir/build/SOURCES/marc-0.3.0.gem
Installing gem marc-0.3.0
Using local gem /builddir/.gem/ruby/1.8/cache/marc-0.3.0.gem

adding 

mkdir -p .%{gemdir}

prior to the gem install appears to correct it.

* %package -n ruby-%{gemname} Summary
  - Summary is different from main rubygem- package.
Comment 2 Mamoru TASAKA 2009-11-22 12:10:24 EST
Thank you for the review.

(In reply to comment #1)
> * %prep:
> * %package -n ruby-%{gemname} Summary

Both fixed.
http://mtasaka.fedorapeople.org/Review_request/rubygem-marc/rubygem-marc-0.3.0-2.fc.src.rpm
http://mtasaka.fedorapeople.org/Review_request/rubygem-marc/rubygem-marc.spec

* Mon Nov 23 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.0-2
- Fix Summary
- Surely create .%%{gemdir} before installing gem file
Comment 3 Matthew Kent 2009-11-23 01:49:40 EST
--------------------------------------------------------
  This package (rubygem-marc) is approved by mkent
--------------------------------------------------------
Comment 4 Mamoru TASAKA 2009-11-23 08:07:07 EST
Thank you!

New Package CVS Request 
=======================
Package Name:       rubygem-marc
Short Description:  Ruby library for MARC catalog
Owners:             mtasaka
Branches:           F-12 F-11
InitialCC:          (nobody)
Comment 5 Kevin Fenzi 2009-11-23 21:09:23 EST
cvs done.
Comment 6 Mamoru TASAKA 2009-11-24 11:25:22 EST
Rebuilt on all branches, submitted push requests on bodhi, closing.

Thank you for reviewing this and CVS procedure.

Note You need to log in before you can comment on or make changes to this bug.